Package mvpa :: Package base

[hide private]
[frames] | no frames]

# Package base

source code

Base functionality of PyMVPA

# Module Organization

mvpa.base module contains various modules which are used through out PyMVPA code, and are generic building blocks

Package Tree for base

Submodules | [hide private]

- mvpa.base.info: Provide system and PyMVPA information useful while reporting bugs
- mvpa.base.report: Creating simple PDF reports using reportlab
- mvpa.base.report_dummy: Dummy report class, to just be there in case if reportlab is not available.

Basic

- mvpa.base.config: Registry-like monster
- mvpa.base.dochelpers: Various helpers to improve docstrings and textual output
- mvpa.base.externals: Helper to verify presence of external libraries and modules
- mvpa.base.verbosity: Verbose output and debugging facility

Classes | [hide private]

| _SingletonType Simple singleton implementation adjusted from http://aspn.activestate.com/ASPN/Cookbook/Python/Recipe/412551
| __Singleton To ensure single instance of a class instantiation (object)
| WarningLog Logging class of messsages to be printed just once per each message

Functions | [hide private]

error(msg, critical=True) Helper function to output errors in a consistent way. | source code

Variables | [hide private]

| cfg = `__Singleton('cfg', ConfigManager())`
| verbose = `__Singleton("verbose", LevelLogger(handlers= cfg.get`...``
| warnings_btlevels = `10`
| warnings_bt = `False`
| warnings_maxcount = `1`
| warning = `WarningLog(handlers= {False: cfg.get('warnings', 'ou`...``
| debug = `__Singleton("debug", DebugLogger(handlers= cfg.get('de`...``

Imports: sys, ConfigManager, LevelLogger, OnceLogger, DebugLogger

Function Details | [hide private]

### error(msg, critical=True)

source code

Helper function to output errors in a consistent way.

Parameters:
  - `msg` (string) - Actual error message (will be prefixed with ERROR:)
  - `critical` (bool) - If critical error -- exit with

Variables Details | [hide private]

### verbose

Value:

      __Singleton("verbose", LevelLogger(handlers= cfg.get('verbose', 'outpu
      t', default= 'stdout').split(',')))

### warning

Value:

      WarningLog(handlers= {False: cfg.get('warnings', 'output', default= 's
      tdout').split(','), True: []} [cfg.getboolean('warnings', 'suppress',
      default= False)], btlevels= warnings_btlevels, btdefault= warnings_bt,
       maxcount= warnings_maxcount)

### debug

Value:

      __Singleton("debug", DebugLogger(handlers= cfg.get('debug', 'output',
      default= 'stdout').split(',')))